#include <iostream>

using namespace std;

int main()
{
    long long size1,z=0;
    cin >> size1;
    long long a[size1];
    for (int i=0;i<size1;i++){
        cin >> a[i];
    }
    for(int i=0;i<size1;i++){
        if(a[i]>z){
            z=a[i];
        }
    }
    cout << z;
}

